Problems running jackd as non root user

From: stan (stanb_at_panix.com)
Date: 02/28/05

  • Next message: Pollywog: "Re: samba -smb problem"
    Date: Sun, 27 Feb 2005 22:29:24 -0500
    To: Debian User List <debian-user@lists.debian.org>
    
    

    I'm trying to get ardour running. It requires jackd, and also requires that
    jackd be run as the same user it is to be run as.

    I've built a new 2.6.10 kernel using kernel-package, installed it and biited.
    The I downloaded teh realtime-lsm source package built it and modprobed the
    resultant module. Yhis seemed to go OK. I used:

    modprobe realtime gid=29. Now lsomd shows the modules as loaded:

    stan@yogi:/usr/share/doc/kernel-package$ lsmod | grep real
    realtime 4752 0
    commoncap 5504 1 realtime

    But if I try to start jackd with:

    jackstart --realtime --driver=alsa

    I get the following:

    jackstart: cannot get realtime capabilities, current capabilities are:
               =ep cap_setpcap-ep
                       probably running under a kernel with capabilities disabled,
                       a suitable kernel would have printed something like "=eip"

    Can anyone tell me what I'm doing wrong here?

    -- 
    U.S. Encouraged by Vietnam Vote - Officials Cite 83% Turnout Despite Vietcong Terror 
    - New York Times 9/3/1967
    -- 
    To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org 
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
    

  • Next message: Pollywog: "Re: samba -smb problem"